JexlException.Operator (Apache Commons JEXL 3.7.0 API)
Description: declaration: package: org.apache.commons.jexl3, class: JexlException, class: Operator

Package org.apache.commons.jexl3

# Class JexlException.Operator

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.jexl3.JexlException
org.apache.commons.jexl3.JexlException.Operator

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `JexlException`

public static class JexlException.Operator extends JexlException
Thrown when an operator fails.

Since:
  3.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.jexl3.JexlException

  `JexlException.Ambiguous, JexlException.Annotation, JexlException.Assignment, JexlException.Break, JexlException.Cancel, JexlException.Continue, JexlException.Feature, JexlException.Method, JexlException.Operator, JexlException.Parsing, JexlException.Property, JexlException.Return, JexlException.StackOverflow, JexlException.Throw, JexlException.Tokenization, JexlException.TryFailed, JexlException.Variable, JexlException.VariableIssue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Operator(org.apache.commons.jexl3.parser.JexlNode node, String symbol, Throwable cause)`
  Creates a new Operator exception instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `detailedMessage()`
  Accesses the detailed message.
  `String`
  `getSymbol()`
  Gets the method name

  ### Methods inherited from class org.apache.commons.jexl3.JexlException

  `annotationError, clean, getDetail, getInfo, getInfo, getMessage, info, methodError, methodError, operatorError, parserError, propertyError, propertyError, sliceSource, tryFailed, variableError, variableError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Operator

    public Operator(org.apache.commons.jexl3.parser.JexlNode node, String symbol, Throwable cause)
    Creates a new Operator exception instance.
    Parameters:
      `node` - the location information
      `symbol` - the operator name
      `cause` - the exception causing the error

- ## Method Details

  - ### detailedMessage

    protected String detailedMessage()
    Description copied from class: `JexlException`
    Accesses the detailed message.
    Overrides:
      `detailedMessage` in class `JexlException`
    Returns:
      the message

  - ### getSymbol

    public String getSymbol()
    Gets the method name
    Returns:
      the method name